Atualizar habilidade
Este endpoint atualiza uma skill do tenant atual.
PUT
/Skill/{id}Este endpoint atualiza uma skill do tenant atual.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
| Nome | Local | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|---|
id | path | integer · int32 | Sim | — | — |
Corpo da requisição
Content type: application/json · Schema: SkillDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
tenantId | integer · int32 | Não | — | — |
name | string | Não | — | aceita null; maxLength: 64 |
description | string | Não | — | aceita null; maxLength: 1024 |
content | string | Não | — | aceita null |
enabled | boolean | Não | — | — |
Exemplo de requisição
curl --request PUT \
--url 'https://api.zild.ai/Skill/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"tenantId": 0,
"name": "string",
"description": "string",
"content": "string",
"enabled": true
}'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | Skill atualizada com sucesso | Nenhum corpo de resposta está definido. |
Modelos de dados
SkillDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
tenantId | integer · int32 | Não | — | — |
name | string | Não | — | aceita null; maxLength: 64 |
description | string | Não | — | aceita null; maxLength: 1024 |
content | string | Não | — | aceita null |
enabled | boolean | Não | — | — |